import request from '@/utils/request'
//发送验证码
export const getSmsCode = params => {
  return request({
    method: 'get',
    url: 'webapi/webuser/getSmsCode',
    params
  })
}

//邮箱验证码
export const getEmailCode = params => {
    return request({
      method: 'get',
      url: `webapi/webuser/getEmailCode`,
      params
    })
  }
  //webuser/login登陆
  export const loginGo = data => {
    return request({
      method: 'post',
      url: 'webapi/webuser/login',
      data
    })
  }

//article/getChartcPermissionList 获取分类列表
export const getChartcPermissionList =(params)=>{
  return request({
    method:'get',
    url:'webapi/article/getChartcPermissionList',
    params
  })
}
//article/list 
export const articleList =(params)=>{
  return request({
    method:'get',
    url:'webapi/article/list',
    params
  })
}

//webuser/detail 获取用户详情 
export const detail =(params)=>{
  return request({
    method:'get',
    url:'webapi/webuser/detail',
    params
  })
}
//webuser/getBuChartcPermission 获取用户已够品种
export const getPermission=(params)=>{
  return request({
    method:'get',
    url:'webapi/webuser/getBuChartcPermission',
    params
  })
}
//article/collectionList 我的收藏
export const collectionList =(params)=>{
  return request({
    method:'get',
    url:'webapi/article/collectionList',
    params
  })
}
export const collect =(data)=>{
  return request({
    method:'post',
    url:'webapi/article/collect',
    data
  })
}
//webuser/submitOntrial 提交试用 
export const submit =data => {
  return request({
    method:'post',
    url:'webapi/webuser/submitOntrial',
    data
  })
}
//article/detail 文章详情
export const detailParticulars =(params)=>{
  return request({
    method:'get',
    url:'webapi/article/detail',
    params
  })
}
// /wechat/getWxSign
export const getWxSign =(params)=>{
  return request({
    method:'get',
    url:'webapi/wechat/getWxSign',
    params
  })
}
///advisory/articleCode 
export const articleCode =(params)=>{
  return request({
    method:'get',
    url:'adminapi/adminarticle/articleCode',
    params
  })
}
//微信静默授权GET
export const wechatLogin =(params)=>{
  return request({
    method:'get',
    url:'webapi/wechat/login',
    params
  })
}