import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import 'amfe-flexible'
import Vant from 'vant'
import jquery from 'jquery'
import 'vant/lib/index.css'
import './styles/index.less'
import './utils/permission'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
Vue.use(require('vue-wechat-title'))
Vue.use(Vant)
Vue.config.productionTip = false
Vue.use(ElementUI);
// Vue.prototype.$wx = wx;
new Vue({
  router,
  store,
  jquery,
  render: h => h(App)
}).$mount('#app')
