import Vue from 'vue'
import Vuex from 'vuex'
import { setItem, getItem,removeItem } from '@/utils/auth'

Vue.use(Vuex)
const HORZ_MSG = 'HORZ_MSG'
export default new Vuex.Store({
  state: {
    token: getItem(HORZ_MSG),
  },
  mutations: {
    setUser (state, data) {
      state.token = data
      setItem(HORZ_MSG, data)
    },
     // 删除token
  removeToken(state) {
    state.token = null
    removeItem()
  },
  },
  actions: {
  },
  modules: {
  }
})
